Subject: bug#74412: 31.0.50; Treesit-outline conflict with outli in Emacs 31

From: Taka Obsid <[email-masked]>
Date: Wed, 20 Nov 2024 11:34:17 +0800

I'm using `straight' so I start the emacs as

```sh

/Applications/Emacs.app/Contents/MacOS/Emacs -q --eval "(progn
           (add-to-list 'load-path 
\"~/.emacs.d/straight/build/java-ts-mode\")
           (add-to-list 'load-path \"~/.emacs.d/straight/build/outli\")
           (require 'java-ts-mode)
           (require 'outli))"

```

The file I tried is

```java

public class Test {
     public static void main(String[] args) {

     }
}

```

You might need to enable the outli-mode in the java file manually. It 
seems this bug only appears in gui emacs. The `revert-buffer' works fine 
in tui.

在 2024/11/20 02:09, Juri Linkov 写道:
>> While I tried to `revert-buffer' in a java file, it reports
>> `outline-map-region: Wrong type argument: number-or-marker-p, nil'.
>>
>> The backtrace is:
>>
>> ```bt
>> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>> #f(compiled-function () #<bytecode -0x1964e0de811a96ab>)()
>> outline-map-region(#f(compiled-function () #<bytecode -0x1964e0de811a96ab>)
>> 1 31382)
>> outline--hidden-headings-paths()
>> outline-revert-buffer-restore-visibility()
>> #f(compiled-function (f) #<bytecode
>>   0x6badcbe8273644b>)(outline-revert-buffer-restore-visibility)
>> run-hook-wrapped(#f(compiled-function (f) #<bytecode 0x6badcbe8273644b>)
>> outline-revert-buffer-restore-visibility)
>> revert-buffer(t)
> I suspect this depends on your java file since I tried some java files
> existing in the emacs repo, and all they work fine.  Could you try
> to find a minimal java file to reproduce the problem?